%define majorversion 2
%define minorversion 6
%define microversion 0
%define svnversion svn20071127


Summary: AbiWord Library Plugins
Name: libabiword-plugins
Version: %{majorversion}.%{minorversion}.%{microversion}.%{svnversion}
Release: 2
Source0: %{name}-%{version}.tar.gz
Source1: libabiword-%{version}.tar.gz
Vendor: AbiSource
URL: http://svn.abisource.com/abiword-plugins/trunk/
License: GPL
Group: System Environment/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libabiword-devel >= 1.0.1
BuildRequires: dbus-glib-devel >= 0.70
BuildRequires: libgsf-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: boost-devel
BuildRequires: popt

Patch0: libabiword-plugins-odt-mimetype-fix-r22396.diff

%description
This package installs various plugins for libabiword

%prep
%setup -q -b 1
%patch0 -p1 -b .plugins-odt-mimetype-fix-r22396

%build
%configure --disable-all --enable-libabiword --enable-abicollab --with-abicollab-sugar-backend --enable-loadbindings --enable-OpenDocument --with-abiword=../libabiword-%{version}
make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_libdir}/abiword-%{majorversion}.%{minorversion}/plugins/libAbiCollab.*
%{_libdir}/abiword-%{majorversion}.%{minorversion}/plugins/libAbiOpenDocument.*
%{_libdir}/abiword-%{majorversion}.%{minorversion}/plugins/libLoadBindings.*
%{_datadir}/abiword-%{majorversion}.%{minorversion}/glade/*.glade

%changelog
* Sun Jan  6 2008 Marc Maurer <uwog@uwog.net>
- Add a patch to fix 5291: Files are written 
  with wrong extension

* Tue Nov 27 2007 Marc Maurer <uwog@uwog.net>
- Update BuildRequires list

* Sat Oct 27 2007 Marc Maurer <uwog@uwog.net>
- Updates for abiword 2.6
- New upstream snapshot
- Add the loadbindings plugin

* Mon May 28 2007 Marc Maurer <uwog@uwog.net>
- Add abicollab plugin wit sugar backend support

* Thu Jan 11 2007 Marc Maurer <uwog@uwog.net>
- Initial spec file

